function s_t = chirp_signal_generation

    global Chirp_Ts;
    global Chirp_onesided_BW;
    global Chirp_duration;
    num_of_increments = Chirp_duration/Chirp_Ts; %1024 or 2048 increments.  
    t = 0:Chirp_Ts:(Chirp_duration-Chirp_Ts);                                       
    s_t_real = chirp(t,-Chirp_onesided_BW,Chirp_Ts*num_of_increments/2,0);                 
        %cosine part, starting at t=0,F=-Chirp_onesided_BW
        %passing F=0 at length(t)/2
    s_t_imag = (chirp(t,-Chirp_onesided_BW,Chirp_Ts*num_of_increments/2,0,'linear',90)).*j; 
        %sine part, equals cosine shifted 90 degrees
    s_t = s_t_real + s_t_imag;
    
end