function val = cos_roll_off(t)

global Chirp_Ts;
global Approximated_system_filter_onesided_BW;
global Approximated_system_filter_rolloff;
beta = Approximated_system_filter_rolloff;
Ts = 1/Approximated_system_filter_onesided_BW;
val1 = cos(pi*beta*t/Ts);
val2 = (1 - (4*(beta^2)*(t^2)/(Ts^2)));
if (val1==val2)
    val = sinc(t/Ts);
else
    val = sinc(t/Ts)*(val1/val2);
end

end